services:
  faucet:
    restart: unless-stopped
    image: cerc/laconic-faucet:local
    command: ["bash", "-c", "./start-faucet.sh"]
    environment:
      CERC_SCRIPT_DEBUG: ${CERC_SCRIPT_DEBUG}
      CERC_LACONICD_RPC_ENDPOINT: ${CERC_LACONICD_RPC_ENDPOINT:-http://laconicd:26657}
      CERC_FAUCET_KEY: ${CERC_FAUCET_KEY}
      CERC_LACONICD_CHAIN_ID: ${CERC_LACONICD_CHAIN_ID:-laconic_9000-1}
      CERC_TRANSFER_AMOUNT: ${CERC_TRANSFER_AMOUNT:-10000000000}
      CERC_PERIOD_TRANSFER_LIMIT: ${CERC_PERIOD_TRANSFER_LIMIT:-30000000000}
    volumes:
      - faucet-data:/app/db
      - ../config/laconic-faucet/start-faucet.sh:/app/start-faucet.sh
      - ../config/laconic-faucet/config-template.toml:/app/environments/config-template.toml
    ports:
      - 3000
    healthcheck:
      test: ["CMD", "nc", "-vz", "127.0.0.1", "3000"]
      interval: 10s
      timeout: 5s
      retries: 10
      start_period: 5s
    extra_hosts:
      - "host.docker.internal:host-gateway"

volumes:
  faucet-data:
